This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 107052

Summary: RFE: Turning graphical booting on an off
Product: [Fedora] Fedora Reporter: Sindre Pedersen Bjørdal <sindrepb>
Component: system-config-bootAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: darford, harald, mcrocha, michael, petrosyan, piotrdrag, robatino
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-08 12:41:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Sindre Pedersen Bjørdal 2003-10-14 12:47:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
I would like it very much if the redhat-config-boot tool could turn graphical
booting on and off using a checkbox or similar. Even though I have no real
experience in programing I feel quite certain this is not that hard, and its a
nice little feature for the ones of us who don't like to mess with config files
to turn things on and off. 

I'm not really sure this is the right redhat-config for this, but the name says
redhat-config-boot, not redhat-config-grub so I guess other boot options that
the ones in grub could be added.
Comment 1 Bill Nottingham 2003-10-14 15:43:52 EDT
*** Bug 107053 has been marked as a duplicate of this bug. ***
Comment 2 Andre Robatino 2003-10-23 18:42:23 EDT
  Another useful feature would be the ability to erase old kernel packages.  The
GUI could highlight the currently running kernel (uname -r) and refuse to allow
this one to be deleted.  It could also give a warning if the kernel to be
deleted is newer than the currently running one.  My father is using RH but I
have to walk him through erasing old kernels each time.  For a novice, such a
tool would be much safer than doing it via command line.
Comment 3 Harald Hoyer 2003-10-24 10:12:23 EDT
patches are welcome...
deferred for Fedora Core 2
Comment 4 Harald Hoyer 2003-11-25 08:56:39 EST
*** Bug 109640 has been marked as a duplicate of this bug. ***
Comment 5 Peter Bowmar 2004-01-21 19:34:36 EST
I would really argue that the the lack of ability to turn of graphical
boot/login easily is a bug. Both ATI and Nvidia's drivers require you
to halt X before installing the OpenGL drivers. So, after you install
Fedora the first thing you do is want to halt X... but you can't. This
makes setup more than a little bit of a hassle.

I'd just like to see the option come back for Graphical or Text login
in Anaconda. Currently, Fedora is too much of a hassle to install so
we've decided not to use it, sadly.
Comment 6 Need Real Name 2004-01-22 03:39:13 EST
Or Timeout could go down to zero in GUI field (currently timeout>=1)
Comment 7 Miloslav Trmac 2004-03-01 04:28:26 EST
*** Bug 110179 has been marked as a duplicate of this bug. ***
Comment 8 Rubén 2004-04-16 15:33:35 EDT
I think that would be a great idea also, to add a theme boot switcher.
It's really nice could configure your theme boot with a graphic
interface. 
Comment 9 Theodore Papadopoulo 2004-06-25 08:23:01 EDT
Also, in case an fsck in run, the graphic boot looks like as if it run
an infinite loop... Toggling on details is impossible. This is quite
annoying when this happens the first time before you discover what is
happening.
Comment 10 Darlene J. Ford 2006-09-02 13:26:27 EDT
(In reply to comment #5)
> I would really argue that the the lack of ability to turn of graphical
> boot/login easily is a bug. Both ATI and Nvidia's drivers require you
> to halt X before installing the OpenGL drivers. So, after you install
> Fedora the first thing you do is want to halt X... but you can't. This
> makes setup more than a little bit of a hassle.
> 

Is this relevant to bug 182517 (problem with Nvidia driver in FC5)?  Does that
pretty install program have an X server running when it tries to install the
Nvidia driver, which is not working?
Comment 11 John Thacker 2006-10-30 09:47:53 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 12 Darlene J. Ford 2006-10-31 23:31:27 EST
This is a feature request, not a bug.  Is any of this functionality supposed to
be implemented in FC5 or FC6?
Comment 13 Jon Stanley 2008-04-23 16:30:01 EDT
Adding FutureFeature keyword to RFE's.